#### D.6.13.13 sppprint

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  sppprint(spp); list spp

Return:
  string s; spectral pairs spp

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    list spp=list(ideal(-1/2,-3/10,-1/10,0,1/10,3/10,1/2),intvec(2,1,1,1,1,1,0),
    intvec(1,2,2,1,2,2,1));
    sppprint(spp);
    ==> ((-1/2,2),1),((-3/10,1),2),((-1/10,1),2),((0,1),1),((1/10,1),2),((3/10,1)\
       ,2),((1/2,0),1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.